Subject: remoteproc: Load coprocessor code to the specific main memory location

From: [email-masked] (Michal Simek)
Date: Tue, 06 Mar 2012 16:22:06 +0100

Hi Ohad,

Ohad Ben-Cohen wrote:
> On Wed, Feb 22, 2012 at 2:10 PM, Michal Simek <[email-masked]> wrote:
>> That will be great to get it. Please let me know when you have them.
> 
> Will do.

I have got the pandaboard (revision A3). u-boot and linux is running on it.
I just need to compile ducati-m3-core0.xem3

I have found the manual at https://github.com/GAnthony/syslink3

In sysbios-rpmsg readme I have found some TI tools which are required
and there is any compilation failure. I think it is because of missing CGT tools

        3) CGT TMS470: 4.9.0
           Public Links:-
             TMS470 Compiler is not available for free publicly. Please contact your TI representative.

Is it possible to compile firmware with this compiler?

I have also tried your bios version at
git://github.com/ohadbc/sysbios-rpmsg.git
branch: rpmsg_3.3_rc1_TLV

compilation passed but it doesn't generate bin file. :-(
I will investigate it tmr.

I would like to compile that bin file myself to be able to add some debug messages.

Thanks for your help,
Michal

-- 
Michal Simek, Ing. (M.Eng)
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel 2.6 Microblaze Linux - http://www.monstr.eu/fdt/
Microblaze U-BOOT custodian